Run of cme for ncurses

Try this locally (using the cme package):

debcheckout ncurses
cd ncurses
cme-fix
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
[2021-05-20 19:30:59] Running ['cme-fix']
[2021-05-20 19:30:59] Opening branch at https://salsa.debian.org/debian/ncurses.git/,branch=master
[2021-05-20 19:31:01] Using cached branch https://janitor.debian.net/git/ncurses/,branch=debian%2Flatest
[2021-05-20 19:31:02] (55/66)
[2021-05-20 19:31:41] Total 27019 (delta 36), reused 4 (delta 0), pack-reused 26953
[2021-05-20 19:32:20] Total 377 (delta 117), reused 292 (delta 45), pack-reused 0
[2021-05-20 19:32:22] 4% (72/133)
[2021-05-20 19:32:22] Total 212 (delta 94), reused 197 (delta 79), pack-reused 0
[2021-05-20 19:32:22] 
[2021-05-20 19:32:22] Workspace ready - starting.

Reading package lists... 0%

Reading package lists... 100%

Reading package lists... Done


Building dependency tree... 0%

Building dependency tree... 0%

Building dependency tree... 50%

Building dependency tree... 50%

Building dependency tree... Done


Reading state information... 0% 

Reading state information... 0%

Reading state information... Done

Warning in 'control binary:"libtinfo6-udeb" Section': Bad section. (this cannot be fixed with 'cme fix' command)
Offending value: 'debian-installer'
Warning in 'control binary:"libncurses-dev" Conflicts:0': package ncurses-dev is unknown. Check for typos if not a virtual package.
Offending value: 'ncurses-dev'
Warning in 'control binary:"libncurses-dev" Replaces:0': package ncurses-dev is unknown. Check for typos if not a virtual package.
Offending value: 'ncurses-dev'
Warning in 'control binary:"lib64ncurses-dev" Depends:4': package lib64c-dev is unknown. Check for typos if not a virtual package.
Offending value: 'lib64c-dev'
Warning in 'control binary:"lib64ncurses-dev" Replaces:0': package amd64-libs-dev is unknown. Check for typos if not a virtual package.
Offending value: 'amd64-libs-dev (<= 1.2)'
Warning in 'control binary:"lib32ncurses-dev" Depends:4': package lib32c-dev is unknown. Check for typos if not a virtual package.
Offending value: 'lib32c-dev'
Warning in 'control binary:"ncurses-base" Breaks:3': unnecessary older-than versioned dependency: libunibilium4 (<< 2.0.0-3). Debian has stretch-backports -> 2.0.0-4~bpo9+1; stable -> 2.0.0-4; testing -> 2.1.0-1; unstable -> 2.1.0-1;
Offending value: 'libunibilium4 (<< 2.0.0-3)'
Warning in 'control binary:"ncurses-term" Breaks:3': unnecessary older-than versioned dependency: libunibilium4 (<< 2.0.0-3). Debian has stretch-backports -> 2.0.0-4~bpo9+1; stable -> 2.0.0-4; testing -> 2.1.0-1; unstable -> 2.1.0-1;
Offending value: 'libunibilium4 (<< 2.0.0-3)'
Warning in 'control binary:"ncurses-term" Breaks:7': unnecessary older-than versioned dependency: suckless-tools (<< 39). Debian has oldoldstable -> 40-1+deb8u2; oldstable -> 42-2; stable -> 44-1; testing -> 46-1; unstable -> 46-1;
Offending value: 'suckless-tools (<< 39)'
Warning in 'control binary:"ncurses-term" Replaces:0': unnecessary older-than versioned dependency: suckless-tools (<< 39). Debian has oldoldstable -> 40-1+deb8u2; oldstable -> 42-2; stable -> 44-1; testing -> 46-1; unstable -> 46-1;
Offending value: 'suckless-tools (<< 39)'
Warning in 'control binary:"ncurses-term" Replaces:2': package alacritty is unknown. Check for typos if not a virtual package.
Offending value: 'alacritty (<< 0.3.4~)'
Configuration item 'control binary:"ncurses-examples" Build-Profiles' has a wrong value:
	value '<!pkg.ncurses.noexamples>' does not match regexp <!?[a-z0-9]+(?:\s+!?[a-z0-9]+)*>(?:\s+<!?[a-z0-9]+(?:\s+!?[a-z0-9]+)*>)*
Connecting to api.ftp-master.debian.org to check 35 package versions. Please wait...
Got info from api.ftp-master.debian.org for 30 packages.
Connecting to api.ftp-master.debian.org to check ncurses-dev versions. Please wait...
got no info for ncurses-dev
Connecting to api.ftp-master.debian.org to check lib64c-dev versions. Please wait...
got no info for lib64c-dev
Connecting to api.ftp-master.debian.org to check amd64-libs-dev versions. Please wait...
got no info for amd64-libs-dev
Connecting to api.ftp-master.debian.org to check lib32c-dev versions. Please wait...
got no info for lib32c-dev
Connecting to api.ftp-master.debian.org to check alacritty versions. Please wait...
got no info for alacritty

Full worker log